Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Measure radius 2

Status
Not open for further replies.

TiagoFigueiredo

Industrial
May 22, 2013
494
0
0
PT
Hello,

Is there any fast way to measure the following radius?

h81xXRDErB_ifyhcn.png


I have an way, but too much mouse clicking!

Tiago Figueiredo
Tooling Engineer

Youtube channel:
 
Replies continue below

Recommended for you

Use the measure command and select the surface boundary arc. If I can't get it to select the arc, I use curvature analysis and put mouse over the surface.
 
Can u try this for me sir? It will maybe usefull for u :)

Code:
Sub MeasureRadius()
    Dim selection As Selection
    Set selection = CATIA.ActiveDocument.Selection
    
    ' Yarıçapı ölçmek için bir daire seçin
    selection.Clear
    selection.Search "Type=Circle,sel"
    
    If selection.Count > 0 Then
        Dim circle As Circle
        Set circle = selection.Item(1).Value
        
        ' Yarıçapı ölç
        Dim radius As Double
        radius = circle.Radius
        
        ' Sonucu kullanıcıya göster
        MsgBox "Seçilen dairenin yarıçapı: " & radius & " birim"
    Else
        MsgBox "Ölçüm yapmak için bir daire seçin!", vbExclamation
    End If
End Sub
 
Status
Not open for further replies.
Back
Top